# SEPADocument class

SEPA barcode parsed document

Inheritance
  - Object
  - BarcodeFormattedResult
  - SEPADocument
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

SEPADocument(List<SEPADocumentField>? fields)
SEPADocument.fromJson(Map<String, dynamic> json)
  factory

## Properties

documentFormat ↔ String
  read / write inherited
fields ↔ List<SEPADocumentField>?
  Document fields */
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_FORMAT → const String
  `'SEPA'`